Bug 1127156 - [RFE] Foreign Menu Using REST
Summary: [RFE] Foreign Menu Using REST
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virt-viewer
Version: 7.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Christophe Fergeau
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 1116844 1145126 1151171
Blocks: 975835 1200067
TreeView+ depends on / blocked
 
Reported: 2014-08-06 09:54 UTC by Christophe Fergeau
Modified: 2015-07-16 15:14 UTC (History)
13 users (show)

Fixed In Version: virt-viewer-0.6.0-5.el7
Doc Type: Enhancement
Doc Text:
Using the remote-viewer tool to connect to an ovirt:// URI now displays a menu that allows the user to change the CD image inserted in the virtual machine (VM). This makes it possible to change the inserted CD while the VM is running without the need to use Red Hat Enterprise Virtualization or the oVirt portal.
Clone Of: 975834
Environment:
Last Closed: 2015-03-26 11:42:27 UTC


Attachments (Terms of Use)

Description Christophe Fergeau 2014-08-06 09:54:42 UTC
+++ This bug was initially created as a clone of Bug #975834 +++

Create a client for the oVirt's REST API for requesting foreign menu (similar to dynamicMenu but using REST API).

For more information about the specific details please see the oVirt's feature page:
http://www.ovirt.org/Features/Foreign_Menu_Using_REST

--- Additional comment from RHEL Product and Program Management on 2013-06-19 08:42:08 EDT ---

Since this bug report was entered in bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

--- Additional comment from Tomas Jelinek on 2013-06-27 08:13:36 EDT ---

The nature of this RFE has been changed - originally the client should have parsed a menu provided by oVirt REST. This is not true anymore. The new description is:
Client should be able to get the list of available CD images and also perform the change CD using the oVirt REST. oVirt will provide the sessionId to authenticate with the REST and the vmGuid in the .vv file.

--- Additional comment from Christophe Fergeau on 2014-03-12 11:47:13 EDT ---

This bug would be mine as I've done most of this work upstream. However, since this needs 2 new packages in RHEL6, maybe it's better to only have that in RHEL7 where these packages are already present.

--- Additional comment from Marc-Andre Lureau on 2014-06-04 10:15:30 EDT ---

still not in upstream, missing deps, unlikely for 6.6..

Comment 2 Christophe Fergeau 2014-09-12 15:33:26 UTC
Patches upstream, will be in next build.

Comment 3 CongDong 2014-09-17 10:17:55 UTC
Test with virt-viewer-0.6.0-4.el7.x86_64

Steps:
1. Prepare a guset on rhevm, and a ISO domain to rhevm, add more than one cd images in the domain, and add user "admin" to virtual machine permissions

2. on client:
# wget http://rhevm.example.com/ca.crt
# remote-viewer --ovirt-ca-file=ca.crt ovirt://rhevm.example.com/$vm

3. Input right username and password to connect the guest

Result.
After the guest console is open, check the menu bar of virt-viewer, just 4 menus:
"File", "VIew", "Send key", "Help", there is no cd images

VERIFIED with:
virt-viewer-0.6.0-5.el7.x86_64

Steps are same with above.

Result:
There is an additional menu "Change CD" after "Help", click it, will list images added in ISO domain. Click different image, and check in guest, the cdrom is changed.


But if I click an image that is already changed, I will get info from remote-viewer debug message like this:
...
(remote-viewer:7998): remote-viewer-DEBUG: 'en_windows_xp_professional_with_service_pack_3_x86_cd_x14-80428.iso' clicked
(remote-viewer:7998): remote-viewer-DEBUG: Removing current cdrom image
...

It says remove current cdrom image, but in cd images list, the item is still be clicked, and in guest, /dev/cdrom can be mounted too.

I think /dev/cdrom should not be mounted if remove the image, and the item status in list should be updated.

Comment 4 Christophe Fergeau 2014-09-17 11:55:50 UTC
> Result:
> There is an additional menu "Change CD" after "Help", click it, will list
> images added in ISO domain. Click different image, and check in guest, the
> cdrom is changed.
> 
> 
> But if I click an image that is already changed, I will get info from
> remote-viewer debug message like this:
> ...
> (remote-viewer:7998): remote-viewer-DEBUG:
> 'en_windows_xp_professional_with_service_pack_3_x86_cd_x14-80428.iso' clicked
> (remote-viewer:7998): remote-viewer-DEBUG: Removing current cdrom image
> ...
> 
> It says remove current cdrom image, but in cd images list, the item is still
> be clicked, and in guest, /dev/cdrom can be mounted too.
> 
> I think /dev/cdrom should not be mounted if remove the image, and the item
> status in list should be updated.

Yes, this is currently not working :(

Comment 5 CongDong 2014-09-18 06:14:35 UTC
> 
> Yes, this is currently not working :(

Thanks, so I move this bug to ASSIGNED.

Comment 6 Christophe Fergeau 2014-09-22 09:10:44 UTC
(In reply to CongDong from comment #5)
> > 
> > Yes, this is currently not working :(
> 
> Thanks, so I move this bug to ASSIGNED.

For what it's worth, this also seems broken on RHEV side :( https://bugzilla.redhat.com/show_bug.cgi?id=1145035

Comment 7 Christophe Fergeau 2014-09-22 12:37:50 UTC
I've opened bug #1145121 and bug #1145126 to track what we miss in virt-viewer and libgovirt to be able to remove CD images. I am not able to test this as the RHEV instances I have access to don't have the needed fix to be able to handle this.
I prefer not to push too hard on these 2 patches before they are tested (ie before we have deployed RHEV instances where bug #1135970, is fixed).
For now I've added #1145126 as a blocker for this bug, but imo we should just mark this bug as VERIFIED if removal is the only issue which was found, and address removal in that separate bug.

Comment 8 Christophe Fergeau 2014-09-24 13:27:17 UTC
CongDong, would you agree to verify this bug, and to track this missing feature in a separate bug report?

Comment 9 CongDong 2014-09-25 01:52:47 UTC
(In reply to Christophe Fergeau from comment #8)
> CongDong, would you agree to verify this bug, and to track this missing
> feature in a separate bug report?

Yes, I agree with you, as result in comment 3, move this to VERIFIED.

Comment 10 Jiri Herrmann 2014-12-12 15:32:10 UTC
If this Feature should be included in the 7.1 Release Notes, could you please change the Doc Type from Enhancement to "Release Note"?

Note that the Release Notes are intended to list the most prominent and customer-relevant new features rather than every single enhancement.

Cheers,
Jirka

Comment 11 Christophe Fergeau 2014-12-12 16:02:14 UTC
This should not be mentioned as this only useful in combination with RHEV, and the RHEV bits are not available yet. I assume this will be mentioned in RHEV release notes when everything is ready.


Note You need to log in before you can comment on or make changes to this bug.